Skip to main content
GET
/
routes
List scheduled routes
curl --request GET \
  --url https://app.unitedlogistics.com.do/api/v1/routes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.unitedlogistics.com.do/api/v1/routes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.unitedlogistics.com.do/api/v1/routes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "route_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fleet_id": 123,
      "name": "<string>",
      "description": "<string>",
      "vehicle_external_id": 123,
      "driver_external_id": 123,
      "status": "<string>",
      "state": "<string>",
      "scheduled_start_time": "<string>",
      "planned_start_at": "<string>",
      "actual_departure_at": "<string>",
      "completed_at": "<string>",
      "cancelled_at": "<string>",
      "started_at": "<string>",
      "ended_at": "<string>",
      "estimated_duration_minutes": 123,
      "actual_duration_minutes": 123,
      "estimated_distance_km": 123,
      "actual_distance_km": 123,
      "telemetry_health": "<string>",
      "start_message_id": 123,
      "end_message_id": 123,
      "current_message_id": 123,
      "start_telemetry_timestamp": "<string>",
      "end_telemetry_timestamp": "<string>",
      "current_plan_version_id": 123,
      "scheduler_tolerance_seconds": 123,
      "notes": "<string>",
      "created_by_user_id": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "flags": "<unknown>"
    }
  ],
  "pagination": {
    "next_cursor": "eyJpZCI6IjAxQUI...",
    "has_more": true
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing Authorization header.",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing Authorization header.",
    "details": "<unknown>"
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer ulk__. Cree la clave en Configuración → API.

Query Parameters

limit
string
Pattern: ^\d+$
cursor
string
status
string
vehicle_external_id
string
Pattern: ^\d+$
start
string<date-time>
end
string<date-time>

Response

OK

data
object[]
required
pagination
object
required